Package es.imim.DISGENET.internal.utils

# Class TextIcon

java.lang.Object
es.imim.DISGENET.internal.utils.TextIcon

All Implemented Interfaces:
  `Icon`

public class TextIcon extends Object implements Icon

## Constructor Summary

Constructors
Constructor
Description
`TextIcon(String[] texts, Font[] fonts, int width, int height)`
The icon color is the target component's foreground.
`TextIcon(String[] texts, Font[] fonts, Color[] colors, int width, int height)`
`TextIcon(String[] texts, Font[] fonts, Color[] colors, int width, int height, Integer... disabledLayers)`
`TextIcon(String[] texts, Font font, int width, int height)`
The icon color is the target component's foreground.
`TextIcon(String[] texts, Font font, Color[] colors, int width, int height)`
`TextIcon(String[] texts, Font font, Color[] colors, int width, int height, Integer... disabledLayers)`
`TextIcon(String text, Font font, int width, int height)`
The icon color is the target component's foreground.
`TextIcon(String text, Font font, Color color, int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextIcon

public TextIcon(String text, Font font, Color color, int width, int height)

### TextIcon

public TextIcon(String text, Font font, int width, int height)
The icon color is the target component's foreground.

### TextIcon

public TextIcon(String[] texts, Font font, Color[] colors, int width, int height)

### TextIcon

public TextIcon(String[] texts, Font font, int width, int height)
The icon color is the target component's foreground.

### TextIcon

public TextIcon(String[] texts, Font font, Color[] colors, int width, int height, Integer... disabledLayers)

Parameters:
  `texts` -
  `font` -
  `colors` -
  `width` -
  `height` -
  `disabledLayers` - The indexes of the layers that must be transparent when the target component is disabled.

### TextIcon

public TextIcon(String[] texts, Font[] fonts, Color[] colors, int width, int height)

### TextIcon

public TextIcon(String[] texts, Font[] fonts, int width, int height)
The icon color is the target component's foreground.

### TextIcon

public TextIcon(String[] texts, Font[] fonts, Color[] colors, int width, int height, Integer... disabledLayers)

Parameters:
  `texts` -
  `fonts` -
  `colors` -
  `width` -
  `height` -
  `disabledLayers` - The indexes of the layers that must be transparent when the target component is disabled.

## Method Details

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`